Debian Bug report logs - #88010
please consider catalog design change

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Wichert Akkerman <wichert@cistron.nl>

Date: Wed, 28 Feb 2001 17:33:19 UTC

Severity: serious

Tags: lenny-ignore, patch, squeeze-ignore

Merged with 477751

Fixed in version debhelper/9.20120528

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>:
Bug#88010; Package sgml-base. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <wichert@cistron.nl>:
New Bug report received and forwarded. Copy sent to Ardo van Rangelrooij <ardo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <wichert@cistron.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please consider catalog design change
Date: Wed, 28 Feb 2001 18:24:07 +0100
Package: sgml-base
Version: 1.07
Severity: wishlist

Please consider changing the way the sgml catalog is handled to be
more like what menu, modutils, the MIME system, the GNOME menu system,
doc-base and almost all other subsystems do: use a directory in which
special files are installed with catalog information, and make
update-sgml-catalog a script that scans that directory and builds the
system catalog. That is a much more robust setup and makes sgml
more consistent with the rest of Debian.

Wichert.

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux fog 2.2.18ext3 #1 Tue Feb 13 01:36:06 CET 2001 i686

Versions of packages sgml-base depends on:
ii  perl [perl5]                  5.6.0-20   Larry Wall's Practical Extracting 
ii  sed                           3.02-6     The GNU sed stream editor.        




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#88010; Package sgml-base. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 88010@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Wichert Akkerman <wichert@cistron.nl>, 88010@bugs.debian.org
Subject: Re: Bug#88010: please consider catalog design change
Date: Thu, 1 Mar 2001 20:30:44 -0600
I'll take this up on the debian-sgml list.  We have to discuss the
organization of catalogs anyway and this will be taken along.

Thanks,
Ardo

Wichert Akkerman (wichert@cistron.nl) wrote:
> Package: sgml-base
> Version: 1.07
> Severity: wishlist
> 
> Please consider changing the way the sgml catalog is handled to be
> more like what menu, modutils, the MIME system, the GNOME menu system,
> doc-base and almost all other subsystems do: use a directory in which
> special files are installed with catalog information, and make
> update-sgml-catalog a script that scans that directory and builds the
> system catalog. That is a much more robust setup and makes sgml
> more consistent with the rest of Debian.
> 
> Wichert.
-- 
Ardo van Rangelrooij
home email: ardo@debian.org
home page:  http://people.debian.org/~ardo
PGP fp:     3B 1F 21 72 00 5C 3A 73  7F 72 DF D9 90 78 47 F9



Information forwarded to debian-bugs-dist@lists.debian.org, Ardo van Rangelrooij <ardo@debian.org>:
Bug#88010; Package sgml-base. Full text and rfc822 format available.

Acknowledgement sent to Adam Di Carlo <adam@onshore-devel.com>:
Extra info received and forwarded to list. Copy sent to Ardo van Rangelrooij <ardo@debian.org>. Full text and rfc822 format available.

Message #15 received at 88010@bugs.debian.org (full text, mbox):

From: Adam Di Carlo <adam@onshore-devel.com>
To: Wichert Akkerman <wichert@cistron.nl>
Cc: 88010@bugs.debian.org, debian-sgml@lists.debian.org
Subject: please consider catalog design change
Date: 22 Oct 2001 00:38:15 -0400
Wichert Akkerman (wichert@cistron.nl) wrote:
> Please consider changing the way the sgml catalog is handled to be
> more like what menu, modutils, the MIME system, the GNOME menu system,
> doc-base and almost all other subsystems do: use a directory in which
> special files are installed with catalog information, and make
> update-sgml-catalog a script that scans that directory and builds the
> system catalog. That is a much more robust setup and makes sgml
> more consistent with the rest of Debian.

The new system we have *does* work this way.  There is the master
catalog, controlled by update-catalog, then generally in
/etc/sgml/*.cat some delegated catalogs pointing to the actual
per-file catalogs in /usr/share/sgml.

I don't know how we could really do better than this -- also, it's
important to stick to the LSB and the types of standards they are
working out beyond the narrow confines of Debian.

-- 
...Adam Di Carlo..<adam@onshore-devel.com>...<URL:http://www.onshored.com/>




Blocking bugs of 477751 added: 88010 Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Tue, 02 Sep 2008 19:12:10 GMT) Full text and rfc822 format available.

Blocking bugs of 477751 removed: 88010 Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Mon, 06 Jul 2009 19:36:07 GMT) Full text and rfc822 format available.

Forcibly Merged 88010 477751. Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Mon, 06 Jul 2009 19:36:07 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore. Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Sat, 02 Oct 2010 14:42:12 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Sun, 04 Dec 2011 12:11:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'sgml-base' to 'debhelper'. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Thu, 12 Jan 2012 09:45:29 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 1.07. Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Thu, 12 Jan 2012 09:45:30 GMT) Full text and rfc822 format available.

Added indication that 88010 affects sgml-base Request was from Helmut Grohne <helmut@subdivi.de> to control@bugs.debian.org. (Thu, 12 Jan 2012 09:45:30 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Mon, 28 May 2012 17:42:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:18:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.